#include "config_stc.h"

////////////////// Timer0-被Timer1-IC驱动计数 ////////////////// 
void Timer0_Cnt_Init()
{
    AUXR &= ~0x80;    // B 1000 0000 12分频 
    TMOD &= 0xF0;   // 纯当定时器
    
    ET0 = 1;        // 允许中断溢出
    EA = 1; 
}

void Timer0_Cnt_Start()
{
    TL0 = 0x00;     
    TH0 = 0x00;
    
    TR0 = 1;        // 启动定时器
}

void Timer0_Cnt_Stop()
{
    TR0 = 0;
}

////////////////// Timer1-Gate 测PWM高电平宽度(INT1/P3.3引脚) ////////////////// 
void Timer1_Gate_Init(void)
{
    P3M0 &= ~0x08; P3M1 |= 0x08;  // 设置P3.3口为高阻输入
    AUXR &= ~0x40;    // B 0100 0000 12分频
    TMOD &= 0x0F; TMOD |= 0x80;   // B 1000 0000 T1_GATE(门控):控制Timer1，置1时只有在INT1(P3.3脚)为高及TR1控制位置1时才可打开定时器/计数器1 
}

void Timer1_Gate_Start(void)
{
    TL1 = 0x00;
    TH1 = 0x00;
    
    TR1 = 1;        // 启动Gate 门限计数
}

void Timer1_Gate_Stop(void)
{
    TR1 = 0;        // 停止Gate 门限计数
}

//////////////////  Timer1-IC 测PWM周期宽度，(T1/P3.5引脚)两次下降沿触发Timer0的计数 ////////////////// 
void Timer1_IC_Init(void)
{
    P3M0 &= ~0x20; P3M1 |= 0x20;   // 设置P3.5口为高阻输入
    TMOD &= 0x0F; TMOD |= 0x40;   // B 0100 0000 T1_CT 置1用作计数器（对引脚T1/P3.5外部脉冲进行计数） 
    
    ET1 = 1;        // 允许中断溢出
    EA = 1; 
}

void Timer1_IC_Start(void)
{
    TL1 = 0xFF;     // 每来一次下降沿就中断溢出
    TH1 = 0xFF;
    
    TR1 = 1;        // 启动IC 计数
}

void Timer1_IC_Stop(void)
{
    TR1 = 0;        // 停止IC 计数
}


