#ifndef _TIMER_GATE_H_
#define _TIMER_GATE_H_

/* 
    Step1、使用Timer1 Gate门限测高电平时长
    测得PWM Ton （INT1/P3.3引脚）
*/
void Timer1_Gate_Init(void);
void Timer1_Gate_Start(void);
void Timer1_Gate_Stop(void);

/*
    Step2、使用Timer1 外部中断触发Timer0的计数
    测得PWM Tall时长（T1/P3.5引脚）
*/
void Timer1_IC_Init(void);
void Timer1_IC_Start(void);
void Timer1_IC_Stop(void);

/* 
    Step3、Timer0纯定时
    在Timer1的ISR中被控制开关
*/
void Timer0_Cnt_Init(void);
void Timer0_Cnt_Start(void);
void Timer0_Cnt_Stop(void);

#endif /* _TIMER_GATE_H_ */
